Package org.kapott.hbci.sepa.jaxb.camt_052_001_07

# Class YieldedOrValueType1Choice

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_07.YieldedOrValueType1Choice

public class YieldedOrValueType1Choice extends Object

Java class for YieldedOrValueType1Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="YieldedOrValueType1Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="Yldd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}YesNoIndicator"/>
             <element name="ValTp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}PriceValueType1Code"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected PriceValueType1Code`
`valTp`
`protected Boolean`
`yldd`

## Constructor Summary

Constructors
Constructor
Description
`YieldedOrValueType1Choice()`

## Method Summary

Modifier and Type
Method
Description
`PriceValueType1Code`
`getValTp()`
Gets the value of the valTp property.
`Boolean`
`isYldd()`
Gets the value of the yldd property.
`void`
`setValTp(PriceValueType1Code value)`
Sets the value of the valTp property.
`void`
`setYldd(Boolean value)`
Sets the value of the yldd property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### yldd

protected Boolean yldd

### valTp

protected PriceValueType1Code valTp

## Constructor Details

### YieldedOrValueType1Choice

public YieldedOrValueType1Choice()

## Method Details

### isYldd

public Boolean isYldd()
Gets the value of the yldd property.

Returns:
  possible object is `Boolean`

### setYldd

public void setYldd(Boolean value)
Sets the value of the yldd property.

Parameters:
  `value` - allowed object is `Boolean`

### getValTp

public PriceValueType1Code getValTp()
Gets the value of the valTp property.

Returns:
  possible object is `PriceValueType1Code`

### setValTp

public void setValTp(PriceValueType1Code value)
Sets the value of the valTp property.

Parameters:
  `value` - allowed object is `PriceValueType1Code`